Update a campaign creative
curl --request PUT \
--url https://api.semicola.com/api/v2/buyer/campaigns/{id}/creatives/{cid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedRevision": 4503599627370495,
"name": "<string>",
"sourceAssets": [],
"copy": {},
"clickUrl": "<string>",
"mode": "draft"
}
'import requests
url = "https://api.semicola.com/api/v2/buyer/campaigns/{id}/creatives/{cid}"
payload = {
"expectedRevision": 4503599627370495,
"name": "<string>",
"sourceAssets": [],
"copy": {},
"clickUrl": "<string>",
"mode": "draft"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expectedRevision: 4503599627370495,
name: '<string>',
sourceAssets: [],
copy: {},
clickUrl: '<string>',
mode: 'draft'
})
};
fetch('https://api.semicola.com/api/v2/buyer/campaigns/{id}/creatives/{cid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"advertiserId": 123,
"name": "<string>",
"state": "draft",
"formatKind": "image",
"formatId": {
"agentUrl": "<string>",
"id": "<string>",
"width": 123,
"height": 123,
"durationMs": 123
},
"formatLabel": "<string>",
"slots": [
{
"slotId": "<string>",
"kind": "asset",
"assetId": "<string>",
"value": "<string>"
}
],
"copy": {},
"clickUrl": "<string>",
"trackers": {},
"role": "evergreen",
"promoted": true,
"revision": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Buyer
Update a campaign creative
PUT
/
api
/
v2
/
buyer
/
campaigns
/
{id}
/
creatives
/
{cid}
Update a campaign creative
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Body
application/json
Required range:
0 <= x <= 9007199254740991Required string length:
1 - 200Available options:
image, html5, display_tag, image_carousel, video_hosted, video_vast, audio_hosted, audio_daast, sponsored_placement, native_in_feed, responsive_creative, agent_placement, custom Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
draft, complete